# Why MindForger? <!-- Metadata: type: Outline; tags: cool; created: 2018-02-23 10:56:27; reads: 110; read: 2022-01-30 17:44:05; revision: 110; modified: 2022-01-30 17:44:05; importance: 5/5; urgency: 1/5; -->

This document describes driving principles and vision for MindForger.

Are you drowning in information, but starving for **knowledge**? Where do you 
keep your **private remarks** like ideas, personal plans, gift tips, how-tos, 
dreams, business vision, finance strategy, auto  coaching notes? Loads of 
documents, sketches and remarks spread around the file system, cloud, 
web and Post-it notes? Are you afraid of your knowledge **privacy**? Are you 
able to **find** then once you create them? Do you know how are they mutually
**related** when you read or write them? No?

MindForger is **human mind** inspired **knowledge management tool**
which aims to connect the tradition of **outline editors** with 
emerging technologies. Its mission is to help you in organization 
of your knowledge and associated local, web and real world 
resources in a way that enables quick navigation, concise
representation, automatic interconnections, associative 
completion and inferencing.
# Unique <!-- Metadata: type: Note; created: 2018-02-23 10:56:27; reads: 65; read: 2022-01-30 17:44:05; revision: 37; modified: 2022-01-30 17:44:05; -->
MindForger is **human mind** inspired **personal** knowledge management tool:

* **Human mind**
    * MindForger aims to mimic human mind - **learning**, **recalling**, 
      **recognition**, **associations**, **forgetting** - in order to achieve
      synergy with your mind to make your searching, reading and writing 
      more productive.
* **Personal**
    * MindForger enables you to **own** your **personal** data - it's meant to 
      store your personal ideas, remarks, notes and plans in a secure way while
      it respects your privacy.
    * MindForger does **not** compete with tools for sharing information like
      Wikis - its primary purpose is to maintain your **private** data.
* **Knowledge**
    * MindForger seeks knowledge hidden in your remarks to enable its mining
      and personal machine learning models creation.
* **Management**	  
    * MindForger starts where editors and search engines end. It thinks as 
      you search, **browse**, read and write. Once you **find** a remark, MindForger
      brings its associations. As you **browse** notes and **read** them it looks up
      related relevant knowledge in your notebooks. If you **edit** a remark,
      MindForger brings associations as you **write**. It reminds you about
      existing content related to the text being written.
* **Tool**
    * MindForger is a **desktop** application which runs on Linux, macOS and Windows.
# Human mind inspiration <!-- Metadata: type: Note; created: 2018-06-12 14:10:48; reads: 32; read: 2022-01-30 17:40:41; revision: 4; modified: 2022-01-30 17:39:55; -->
MindForger is inspired by human mind. Check the following presentation for more details:

* [MindForger - Thinking Notebook. Thinking?](https://prezi.com/view/pMJ7bmdpTYDBi7nMKFdU)
# Open, free and fast <!-- Metadata: type: Note; created: 2018-02-23 10:56:27; reads: 40; read: 2022-01-30 17:40:38; revision: 6; modified: 2022-01-30 17:40:38; -->
MindForger features:

* **Open**
    * Any text editor - like Remarkable, Uncolored or Vim - can be used to edit outlines 
      in MindForger repository as it uses ([Markdown](http://daringfireball.net/projects/markdown/syntax)) format 
	  hosted DSL - which is well defined, documented and human friendly.

* **Free**
    * You don't pay for downloading and using MindForger.

* **Respects Privacy**
    * MindForger stores your data locally on your machine. It does **not** upload any of your data 
	  to the internet (cloud, server, ...). You may check it yourself as MindForger source code 
	  is available for free and thus it can be audited/verified by anybody.

* **Secure** <a name="secure"></a>
    * MindForger repository might be locally encrypted using any tool by user e.g. `encfs`.
    * If you want, your data (repository) can be transfered e.g. using SSH or Git@SSH to a remote 
	  private location (this action is not supported/performed by MindForger).

* **Search and Navigation**
    * MindForger does indexation on top of the data repository.
    * MindFoger index can be rebuilt at any time from a repository content.

* **Analysis**
    * Git repository with text based outlines can be easily analyzed with variety of tools
      [SW for text analysis, mining and analytics](http://www.predictiveanalyticstoday.com/top-free-software-for-text-analysis-text-mining-text-analytics/).

* **Instant Availability**
    * If your prefer to use MindForger for a team work, then there are a number of options
	  that differ in security, privacy and availability.
    * Offline via a secure cloud storage (like local Git repository) on Linux, Mac, Windows,
      Android and iOS.
    * Online via Git repository hosted by a service of your choice - like GitHub or
      BitBucket - allowing you to access repository (and even edit text and markdown
      files) using Linux/Windows/Mac machines and Android/iOS devices.

* **Synchronization**
    * Data can be synchronized among all your devices - workstations, laptops and 
      mobiles/tablets - in a variety of way: 
        * Linux: Git, Google Drive, Dropbox, ...
        * Windows: Git, Google Drive, Dropbox, ...
        * Android: MGit, AGit, ...

* **Performance**
   * Even big Markdowns (like [CPP Guidelines](https://github.com/isocpp/CppCoreGuidelines) with ~2500 sections) 
     are parsed and indexed quickly and can be edited and viewed w/o problems.

* **Efficiency**
    * Command line efficiency in GUI as well as CLI (O~S like CLI).

* **Sharing**
    * Whole repository as well as individual outline(s) can be shared just by sending particular 
	  file(s)/archive as they are stored in open format.
    * If you want to share just certain private date, then you can leverage a Git repository
      to share it with others via a remote (private) repository.

* **Backup**
    * MindForger can create compressed archive w/ your data that can be easily stored as backup.
    * If you are fine with using a remote (private) repository, you can use
      any CMS or cloud drive to push your data for backup (even to multiple 
      locations).
